Bug 1394804 (CVE-2016-9276)

Summary: CVE-2016-9276 libdwarf: Out-of-bounds heap read in dwarf_get_aranges_list
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dkholia, fche, orion
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-15 06:17:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1399992    
Bug Blocks: 1394806    

Description Adam Mariš 2016-11-14 13:29:05 UTC
An out of bounds heap read was found in dwarf_get_aranges_list in dwarf_arrange.c triggered by crafted input to dwarfdump utility.

Upstream patch:

https://sourceforge.net/p/libdwarf/code/ci/583f8834083b5ef834c497f5b47797e16101a9a6/

CVE assignment:

http://seclists.org/oss-sec/2016/q4/403

Comment 1 Andrej Nemec 2016-11-30 08:42:08 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1399992]